Bug 55474 - Red Hat 7.2 disk druid doesn't understand windows XP
Red Hat 7.2 disk druid doesn't understand windows XP
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-31 16:20 EST by Michael Meissner
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:48:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Meissner 2001-10-31 16:20:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.10-ac4 i686)

Description of problem:
I have a build/test machine (Dell Precision 410 workstation with a 60 gig
Seagate IDE disk + 8 gig ultra2 scsi disk)  that has many different OSes on
it for building GCC.  With partition magic, I created all of the different
partitions.  The layout is /dev/hda1 is a 2 gig FAT16 partition for Windows
98, /dev/hda2 is 100MB /boot partition for the Linuxes, /dev/hda5 is a 5
gig NTFS partition for Windows NT, /dev/hda6 is a 5 gig FAT32 partition for
Windows 2000 Professional, /dev/hda7 is a 5 gig FAT32 partition for Windows
XP Professional, /dev/hda8 is a 2 gig Linux swap partition, /dev/hda9 is a
5 gig partition for Red Hat 7.1, /dev/hda10 is a 5 gig partition for Red
Hat 7.2, /dev/hda11 is a 5 gig partition reserved for the next Red Hat
Linux, /dev/hda12 is a 2 gig ext2 partition for /home, /dev/hda13 is a 10
gig ext2 Linux build partition, and /dev/hda14 is a 10 gig FAT32 Windows
build partition.  Anyway, I first installed Windows 98, then Red Hat 7.1,
then Windows 2000, then Windows XP, and then Red Hat 7.2.  When I got to
Red Hat 7.2, Disk Druid did not like the partition tables after Windows
2000/XP had been installed, and thought there were many zero sized
partitions.  If I use fdisk instead of Disk druid, it sees all of the
partitions just fine, which is what I did.  However, I suspect many people
are not comfortable with fdisk, so you probably will get this question,
time and again, and should fix the next release of Red Hat Linux to better
cope with it.  Note, all of the Windows OSes I used are licensed,
stand-alone versions (ie, not updates).  Windows 98 and Windows 2000 are
from retail boxes, and Windows XP is an OEM version I bought when buying
the 60 gig disk.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. Create multiple logical partitions on disk.
2. Install Windows XP Professional into one of the logical partitions.
3. Try to install Red Hat 7.2 and use Disk Druid.
4. Look at the partitions that Disk Druid sees.
5. Compare partitions with what fdisk sees.
6. In #4, you should see 0-sized partitions that you don't see in #5.
	

Actual Results:  Lots of spurious partitions that disk druid sees.

Expected Results:  You should see the partitions like fdisk sees them.

Additional info:
Comment 1 Brent Fox 2001-10-31 19:33:46 EST
We have tested dual booting with both Windows 2000 and XP (a beta version).  In
all of these tests, we used the Windows partitioning tool to make a partition,
leaving blank space at the end of the drive for Linux.  We then did an install
of 7.2 using Disk Druid, and saw no problems at all.  I have a feeling that
something is wrong with the way Partition Magic created the partitions.  Can you
attach the output of 'fdisk -l /dev/hda' on this system?
Comment 2 Michael Meissner 2001-11-01 15:51:02 EST
Here is the output from fdisk -l /dev/hda:

-build-rh72-> fdisk -l /dev/hda

Disk /dev/hda: 255 heads, 63 sectors, 7297 cylinders
Units = cylinders of 16065 * 512 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/hda1   *         1       260   2088418+   6  FAT16
/dev/hda2           261       286    208845   83  Linux
/dev/hda3           287      7297  56315857+   f  Win95 Ext'd (LBA)
/dev/hda5           287       923   5115888    6  FAT16
/dev/hda6           924      1560   5116671    b  Win95 FAT32
/dev/hda7          1561      2197   5116671    b  Win95 FAT32
/dev/hda8          2198      2446   2000061   82  Linux swap
/dev/hda9          2447      3083   5116671   83  Linux
/dev/hda10         3084      3720   5116671   83  Linux
/dev/hda11         3721      4357   5116671   83  Linux
/dev/hda12         4358      4603   1975963+  83  Linux
/dev/hda13         4604      6005  11261533+  83  Linux
/dev/hda14         6006      7297  10377958+   b  Win95 FAT32

As I mentioned, fdisk during the boot process had no problem with the disk
layout, only disk druid.
Comment 3 Brent Fox 2001-11-01 19:30:35 EST
Matt, is this a parted problem?
Comment 4 Jeremy Katz 2002-04-08 19:37:35 EDT
What does parted say if you run it on this disk and say "print"?
Comment 5 Michael Fulbright 2002-04-30 14:45:42 EDT
Closing due to inactivity. Please reopen if you have more information to add.
Comment 6 Red Hat Bugzilla 2006-02-21 13:48:13 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.